Get /api/v202101/meter/{meterId}/channel/{channelId}

Operation: GetMeterChannelV202101 Permissions: Meters (View)

Summary

Retrieves a channel and its channel versions linked to a meter

Path and Query Parameters

Parameter Description Type Location
meterId Id of the linked meter to retrieve the channel information forRequired integer Path
channelId Id of the channel to retrieve information forRequired integer Path

Response Parameters

HTTP 200


Body Parameters

Content Type: application/json

Type Reference: ChannelResponseV202101

Parameter Description Type
channelId The channel identifier integer
intervalMinutes The interval of the channel. The interval is measured in minutes integer
observationType ObservationTypeChild
   nounId The identifier for the observation type’s noun integer
   nounCode The observation type’s noun code string
   credit Indicates the type of credit for the observation type. Possible values include: 1 (Credit), 2 (Debit), 3 (Ignore) integer
   observationTypeId The observation type identifier integer
   observationTypeCode The observation type code string
   observationTypeInfo The observation type info string
channelDescription Description of the channel string
channelImportId The import identifier for the channel. string
hasReadings Indicates if the channel has readings boolean
firstReadingDate Date of the earliest reading for the channel string
lastReadingDate Date of the most recent reading for the channel string
channelVersions List of channel versions
Versions include channel settings that may change over time
ChannelVersionResponseV202101 [Array]
   channelVersionId The channel version identifier integer
   multiplier The channel multiplier number
   unit UnitChild
      unitId The unit identifier integer
      unitCode The unit code string
      unitInfo The unit info string
   observationRule ObservationRule
      observationRuleId The observation rule identifier integer
      observationRuleCode The observation rule code string
      observationRuleInfo The observation rule info string
   maximumReading The channel’s max reading number
   beginDate Date this channel version started to be used string
   endDate Date this channel version stopped being used string
   udfs List of user defined/custom fields and values for this version UDFFieldChild [Array]
      udfId Required (defined) integer
      dataType DataTypeResponse
         dataTypeId Required (defined) integer
         dataTypeCode Required (defined) string
         dataTypeInfo Required (defined) string
      name Required (defined) string
      description Required (defined) string
      displayOrder Required (defined) integer
      value Required (defined) string
      udfSelectValues Required (defined) UDFSelectValueEntityResponse [Array]
         udfSelectValueId Required (defined) integer
         value Required (defined) string
         displayOrder Required (defined) integer
      important Required (defined) boolean
isUsedOnDistribution Indicates if the channel is a part of a distribution boolean
meter Class derived from MeterChildDTO - has this meter’s import id and route information /// MeterChildIncludeMeterImportIdAndRoute
   meterImportId Meter’s import id string
   route RouteChild
      routeId The route identifier integer
      routeInfo The route info string
      routeCode The route code string
   meterId The meter identifier integer
   meterCode The meter code string
   meterInfo The meter info string
   meterType MeterTypeChild
      meterTypeId integer
      meterTypeCode string
      meterTypeInfo string
   commodity CommodityChild
      commodityId The commodity identifier Required (defined) integer
      commodityCode The commodity code Required (defined) string
      commodityInfo The commodity info Required (defined) string
      commodityIcon Icon
         code The icon code Must be between 0 and 64 characters Required when Color is set string
         color The icon color Must be between 0 and 32 characters Required when Code is set string
   active Indicates whether the Meter is Active boolean
   isCalculatedMeter Indicates whether the meter is a calculated meter boolean
   isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
   isSplitParentMeter Indicates whether the meter is a parent of a split boolean
   isSplitChildMeter Indicates whether the meter is a child of a split boolean
   serialNumber The meter’s current serial number string

Responses

HTTP 200

Body

Content Type: application/json
{
  "channelId": 1,
  "intervalMinutes": 1,
  "observationType": {
    "nounId": 1,
    "nounCode": "string",
    "credit": 1,
    "observationTypeId": 1,
    "observationTypeCode": "string",
    "observationTypeInfo": "string"
  },
  "channelDescription": "string",
  "channelImportId": "string",
  "hasReadings": false,
  "firstReadingDate": "2026-01-07",
  "lastReadingDate": "2026-01-07",
  "channelVersions": [
    {
      "channelVersionId": 1,
      "multiplier": 1.0,
      "unit": {
        "unitId": 1,
        "unitCode": "string",
        "unitInfo": "string"
      },
      "observationRule": {
        "observationRuleId": 1,
        "observationRuleCode": "string",
        "observationRuleInfo": "string"
      },
      "maximumReading": 1.0,
      "beginDate": "2026-01-07",
      "endDate": "2026-01-07",
      "udfs": [
        {
          "udfId": 1,
          "dataType": {
            "dataTypeId": 1,
            "dataTypeCode": "string",
            "dataTypeInfo": "string"
          },
          "name": "string",
          "description": "string",
          "displayOrder": 1,
          "value": "string",
          "udfSelectValues": [
            {
              "udfSelectValueId": 1,
              "value": "string",
              "displayOrder": 1
            }
          ],
          "important": false
        }
      ]
    }
  ],
  "isUsedOnDistribution": false,
  "meter": {
    "meterImportId": "string",
    "route": {
      "routeId": 1,
      "routeInfo": "string",
      "routeCode": "string"
    },
    "meterId": 1,
    "meterCode": "string",
    "meterInfo": "string",
    "meterType": {
      "meterTypeId": 1,
      "meterTypeCode": "string",
      "meterTypeInfo": "string"
    },
    "commodity": {
      "commodityId": 1,
      "commodityCode": "string",
      "commodityInfo": "string",
      "commodityIcon": {
        "code": "string",
        "color": "string"
      }
    },
    "active": false,
    "isCalculatedMeter": false,
    "isEsaCalculatedMeter": false,
    "isSplitParentMeter": false,
    "isSplitChildMeter": false,
    "serialNumber": "string"
  }
}